#----------------------------------------------------#
# All the mechanics for each of the 24 small rooms.
#
# Scripter: Liontack
# Called by function command
#----------------------------------------------------#



execute as @p[x = 23.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ grass_block run scoreboard players add @s missteps 1
execute as @p[x = 23.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ grass_block run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to step on the grass", "color":"white"}]
execute as @p[x = 23.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ grass_block run playsound entity.player.attack.knockback block @s 20 11 12 2 0
execute as @p[x = 23.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ grass_block run tp @s 20 11 12 270 0

execute as @p[x = 41.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ poppy run scoreboard players add @s missteps 1
execute as @p[x = 41.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ poppy run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to crush a poppy", "color":"white"}]
execute as @p[x = 41.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ poppy run playsound entity.player.attack.knockback block @s 38 11 12 2 0
execute as @p[x = 41.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ poppy run tp @s 38 11 12 270 0

execute as @p[x = 59.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ dispenser[facing = up] run scoreboard players add @s missteps 1
execute as @p[x = 59.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ dispenser[facing = up] run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tripped on a hole", "color":"white"}]
execute as @p[x = 59.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ dispenser[facing = up] run playsound entity.player.attack.knockback block @s 56 11 12 2 0
execute as @p[x = 59.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ dispenser[facing = up] run tp @s 56 11 12 270 0

execute as @p[x = 77.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run scoreboard players add @s missteps 1
execute as @p[x = 77.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " strayed from the path of arrows", "color":"white"}]
execute as @p[x = 77.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run playsound entity.player.attack.knockback block @s 74 11 12 2 0
execute as @p[x = 77.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tp @s 74 11 12 270 0

execute as @p[x = 95.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ terracotta unless block ~ ~ ~ potted_dandelion unless block ~ ~-1 ~ potted_dandelion run scoreboard players add @s missteps 1
execute as @p[x = 95.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ terracotta unless block ~ ~ ~ potted_dandelion unless block ~ ~-1 ~ potted_dandelion run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " either couldn't remember what flower is safe, or didn't create a safe path for themselves", "color":"white"}]
execute as @p[x = 95.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ terracotta unless block ~ ~ ~ potted_dandelion unless block ~ ~-1 ~ potted_dandelion run playsound entity.player.attack.knockback block @s 92 11 12 2 0
execute as @p[x = 95.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ terracotta unless block ~ ~ ~ potted_dandelion unless block ~ ~-1 ~ potted_dandelion run tp @s 92 11 12 270 0

execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run scoreboard players add @s missteps 1
execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to cross over while not in a minecart", "color":"white"}]
execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run execute if entity @e[type = minecart] run give @s minecart 1
execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run kill @e[type = minecart]
execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run playsound entity.player.attack.knockback block @s 110 11 12 2 0
execute as @p[x = 113.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ stone run tp @s 110 11 12 270 0

execute as @p[x = 131.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run scoreboard players add @s missteps 1
execute as @p[x = 131.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't follow the un-pattern", "color":"white"}]
execute as @p[x = 131.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run playsound entity.player.attack.knockback block @s 128 11 12 2 0
execute as @p[x = 131.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tp @s 128 11 12 270 0

execute as @p[x = 149.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block unless block ~ ~-2 ~ warped_planks unless block ~ ~-3 ~ warped_planks run scoreboard players add @s missteps 1
execute as @p[x = 149.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block unless block ~ ~-2 ~ warped_planks unless block ~ ~-3 ~ warped_planks run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't follow the flow of redstone", "color":"white"}]
execute as @p[x = 149.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block unless block ~ ~-2 ~ warped_planks unless block ~ ~-3 ~ warped_planks run playsound entity.player.attack.knockback block @s 146 11 12 2 0
execute as @p[x = 149.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block unless block ~ ~-2 ~ warped_planks unless block ~ ~-3 ~ warped_planks run tp @s 146 11 12 270 0

execute as @p[x = 167.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-1 ~ obsidian unless block ~ ~-2 ~ obsidian run scoreboard players add @s missteps 1
execute as @p[x = 167.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-1 ~ obsidian unless block ~ ~-2 ~ obsidian run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to swim", "color":"white"}]
execute as @p[x = 167.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-1 ~ obsidian unless block ~ ~-2 ~ obsidian run playsound entity.player.attack.knockback block @s 164 11 12 2 0
execute as @p[x = 167.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-1 ~ obsidian unless block ~ ~-2 ~ obsidian run tp @s 164 11 12 270 0

execute as @p[x = 185.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ blackstone run scoreboard players add @s missteps 1
execute as @p[x = 185.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ blackstone run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't follow the golden path", "color":"white"}]
execute as @p[x = 185.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ blackstone run playsound entity.player.attack.knockback block @s 182 11 12 2 0
execute as @p[x = 185.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ blackstone run tp @s 182 11 12 270 0

execute as @p[x = 203.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ nether_bricks run scoreboard players add @s missteps 1
execute as @p[x = 203.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ nether_bricks run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " missed the cracks", "color":"white"}]
execute as @p[x = 203.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ nether_bricks run playsound entity.player.attack.knockback block @s 200 11 12 2 0
execute as @p[x = 203.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ nether_bricks run tp @s 200 11 12 270 0

execute as @p[x = 221.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ daylight_detector[inverted = true] run scoreboard players add @s missteps 1
execute as @p[x = 221.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ daylight_detector[inverted = true] run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " strayed from the lighted path", "color":"white"}]
execute as @p[x = 221.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ daylight_detector[inverted = true] run playsound entity.player.attack.knockback block @s 218 11 12 2 0
execute as @p[x = 221.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ daylight_detector[inverted = true] run tp @s 218 11 12 270 0

execute as @p[x = 239.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ crimson_stem run scoreboard players add @s missteps 1
execute as @p[x = 239.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ crimson_stem run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " failed to follow the stripped path", "color":"white"}]
execute as @p[x = 239.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ crimson_stem run playsound entity.player.attack.knockback block @s 236 11 12 2 0
execute as @p[x = 239.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ crimson_stem run tp @s 236 11 12 270 0

execute as @p[x = 257.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ smooth_quartz run scoreboard players add @s missteps 1
execute as @p[x = 257.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ smooth_quartz run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't look up", "color":"white"}]
execute as @p[x = 257.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ smooth_quartz run playsound entity.player.attack.knockback block @s 254 11 12 2 0
execute as @p[x = 257.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ smooth_quartz run tp @s 254 11 12 270 0

execute as @p[x = 275.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ chiseled_red_sandstone run scoreboard players add @s missteps 1
execute as @p[x = 275.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ chiseled_red_sandstone run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't find the witherless path", "color":"white"}]
execute as @p[x = 275.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ chiseled_red_sandstone run playsound entity.player.attack.knockback block @s 272 11 12 2 0
execute as @p[x = 275.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~-1 ~ chiseled_red_sandstone run tp @s 272 11 12 270 0

### Torch room
execute as @p[x = 290, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_torch 0
execute as @p[x = 302, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_torch 0
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 0}] at @s if block ~ ~ ~ redstone_torch run scoreboard players set @s color_torch 1
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 0}] at @s if block ~ ~ ~ soul_torch run scoreboard players set @s color_torch 2
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 0}] at @s if block ~ ~ ~ torch run scoreboard players set @s color_torch 3
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 1}] at @s unless block ~ ~ ~ redstone_torch unless block ~ ~ ~ redstone_torch run scoreboard players set @s color_torch 99
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 2}] at @s unless block ~ ~ ~ soul_torch unless block ~ ~ ~ soul_torch run scoreboard players set @s color_torch 99
execute as @p[x = 293.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_torch = 3}] at @s unless block ~ ~ ~ torch unless block ~ ~ ~ torch run scoreboard players set @s color_torch 99

execute as @p[scores = {color_torch = 99}] at @s run scoreboard players add @s missteps 1
execute as @p[scores = {color_torch = 99}] at @s run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " didn't stick to one color", "color":"white"}]
execute as @p[scores = {color_torch = 99}] at @s run playsound entity.player.attack.knockback block @s 290 11 12 2 0
execute as @p[scores = {color_torch = 99}] at @s run tp @s 290 11 12 270 0
### Torch room <end>

### Compass room
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}
execute as @p[x = 308.5, y = 11, z = 12.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 13}}

execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 13.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 16}}

execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}
execute as @p[x = 317.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 16}}

execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 16.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 313, Y: 10, Z: 10}}

execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}
execute as @p[x = 313.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 10}}

execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 10.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 317, Y: 10, Z: 8}}

execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}
execute as @p[x = 317.5, y = 11, z = 8.5, distance = ..0.4, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:overworld", LodestoneTracked: 1b, LodestonePos: {X: 319, Y: 10, Z: 8}}

execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 0b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.0 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 1b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.1 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 2b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.2 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 3b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.3 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 4b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.4 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 5b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.5 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 6b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.6 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 7b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.7 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}
execute as @p[x = 320, y = 11, z = 8.5, dx = 3, dy = 2, dz = 7, nbt = {Inventory: [{Slot: 8b, id: "minecraft:compass"}]}] run replaceitem entity @s hotbar.8 compass{LodestoneDimension: "minecraft:nether", LodestoneTracked: 1b, LodestonePos: {X: 0, Y: 0, Z: 0}}

execute as @p[x = 311.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run scoreboard players add @s missteps 1
execute as @p[x = 311.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " couldn't read the compass", "color":"white"}]
execute as @p[x = 311.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run playsound entity.player.attack.knockback block @s 308 11 12 2 0
execute as @p[x = 311.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless block ~ ~-2 ~ emerald_block unless block ~ ~-3 ~ emerald_block run tp @s 308 11 12 270 0
### Compass room <end>

execute as @p[x = 329.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ respawn_anchor run scoreboard players add @s missteps 1
execute as @p[x = 329.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ respawn_anchor run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " strayed from the path of tears", "color":"white"}]
execute as @p[x = 329.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ respawn_anchor run playsound entity.player.attack.knockback block @s 326 11 12 2 0
execute as @p[x = 329.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ 17 ~ respawn_anchor run tp @s 326 11 12 270 0

execute as @p[x = 347.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~1 ~ weeping_vines_plant run scoreboard players add @s missteps 1
execute as @p[x = 347.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~1 ~ weeping_vines_plant run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " went into the prickly vines", "color":"white"}]
execute as @p[x = 347.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~1 ~ weeping_vines_plant run playsound entity.player.attack.knockback block @s 344 11 12 2 0
execute as @p[x = 347.5, dx = 7, y = 10, dy = 6, z = 8.5, dz = 7] at @s if block ~ ~1 ~ weeping_vines_plant run tp @s 344 11 12 270 0

execute as @p[x = 365.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ soul_campfire run scoreboard players add @s missteps 1
execute as @p[x = 365.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ soul_campfire run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " stepped on a campfire with a blue flame", "color":"white"}]
execute as @p[x = 365.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ soul_campfire run playsound entity.player.attack.knockback block @s 362 11 12 2 0
execute as @p[x = 365.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ soul_campfire run tp @s 362 11 12 270 0

execute as @p[x = 383.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless entity @s[nbt = {RootVehicle: {Entity: {id: "minecraft:strider"}}}] run scoreboard players add @s missteps 1
execute as @p[x = 383.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless entity @s[nbt = {RootVehicle: {Entity: {id: "minecraft:strider"}}}] run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to cross lava without the strider", "color":"white"}]
execute as @p[x = 383.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless entity @s[nbt = {RootVehicle: {Entity: {id: "minecraft:strider"}}}] run playsound entity.player.attack.knockback block @s 380 11 12 2 0
execute as @p[x = 383.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s unless entity @s[nbt = {RootVehicle: {Entity: {id: "minecraft:strider"}}}] run tp @s 380 11 12 270 0

execute as @p[x = 401.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ water run scoreboard players add @s missteps 1
execute as @p[x = 401.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ water run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " tried to swim", "color":"white"}]
execute as @p[x = 401.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ water run playsound entity.player.attack.knockback block @s 398 11 12 2 0
execute as @p[x = 401.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7] at @s if block ~ ~ ~ water run tp @s 398 11 12 270 0

### Plate room
execute as @p[x = 416, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_plate 0
execute as @p[x = 428, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_plate 0
execute as @p[x = 419.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_plate = 0}] at @s if block ~ ~ ~ dark_oak_pressure_plate run scoreboard players set @s color_plate 1
execute as @p[x = 419.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_plate = 0}] at @s if block ~ ~ ~ acacia_pressure_plate run scoreboard players set @s color_plate 2
execute as @p[x = 419.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_plate = 0}] at @s if block ~ ~ ~ jungle_pressure_plate run scoreboard players set @s color_plate 3
execute as @p[x = 419.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_plate = 0}] at @s if block ~ ~ ~ warped_pressure_plate run scoreboard players set @s color_plate 4
execute as @p[x = 419.5, dx = 7, y = 10, dy = 2, z = 8.5, dz = 7, scores = {color_plate = 0}] at @s if block ~ ~ ~ crimson_pressure_plate run scoreboard players set @s color_plate 5
execute as @p[x = 419.5, dx = 7, y = 10, dy = 0.2, z = 8.5, dz = 7, scores = {color_plate = 1}] at @s unless block ~ ~ ~ dark_oak_pressure_plate unless block ~ ~ ~ air run scoreboard players set @s color_plate 99
execute as @p[x = 419.5, dx = 7, y = 10, dy = 0.2, z = 8.5, dz = 7, scores = {color_plate = 2}] at @s unless block ~ ~ ~ acacia_pressure_plate unless block ~ ~ ~ air run scoreboard players set @s color_plate 99
execute as @p[x = 419.5, dx = 7, y = 10, dy = 0.2, z = 8.5, dz = 7, scores = {color_plate = 3}] at @s unless block ~ ~ ~ jungle_pressure_plate unless block ~ ~ ~ air run scoreboard players set @s color_plate 99
execute as @p[x = 419.5, dx = 7, y = 10, dy = 0.2, z = 8.5, dz = 7, scores = {color_plate = 4}] at @s unless block ~ ~ ~ warped_pressure_plate unless block ~ ~ ~ air run scoreboard players set @s color_plate 99
execute as @p[x = 419.5, dx = 7, y = 10, dy = 0.2, z = 8.5, dz = 7, scores = {color_plate = 5}] at @s unless block ~ ~ ~ crimson_pressure_plate unless block ~ ~ ~ air run scoreboard players set @s color_plate 99

execute as @p[scores = {color_plate = 99}] at @s run scoreboard players add @s missteps 1
execute as @p[scores = {color_plate = 99}] at @s run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " used different types of pressure plates", "color":"white"}]
execute as @p[scores = {color_plate = 99}] at @s run playsound entity.player.attack.knockback block @s 416 11 12 2 0
execute as @p[scores = {color_plate = 99}] at @s run tp @s 416 11 12 270 0
### Plate room <end>

### Rainbow room
execute as @p[x = 434, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_rainbow 0
execute as @p[x = 446, dx = 2, y = 10, dy = 2, z = 8.5, dz = 7] run scoreboard players set @s color_rainbow 0
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ purple_concrete run scoreboard players set @s color_rainbow 1
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ blue_concrete run scoreboard players set @s color_rainbow 2
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ light_blue_concrete run scoreboard players set @s color_rainbow 3
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ lime_concrete run scoreboard players set @s color_rainbow 4
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ yellow_concrete run scoreboard players set @s color_rainbow 5
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ orange_concrete run scoreboard players set @s color_rainbow 6
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 0}] at @s if block ~ ~-1 ~ red_concrete run scoreboard players set @s color_rainbow 7
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 7}] at @s if block ~ ~-1 ~ purple_concrete run scoreboard players set @s color_rainbow 1
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 1}] at @s if block ~ ~-1 ~ blue_concrete run scoreboard players set @s color_rainbow 2
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 2}] at @s if block ~ ~-1 ~ light_blue_concrete run scoreboard players set @s color_rainbow 3
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 3}] at @s if block ~ ~-1 ~ lime_concrete run scoreboard players set @s color_rainbow 4
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 4}] at @s if block ~ ~-1 ~ yellow_concrete run scoreboard players set @s color_rainbow 5
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 5}] at @s if block ~ ~-1 ~ orange_concrete run scoreboard players set @s color_rainbow 6
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 6}] at @s if block ~ ~-1 ~ red_concrete run scoreboard players set @s color_rainbow 7
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 1}] at @s unless block ~ ~-1 ~ purple_concrete unless block ~ ~-1 ~ blue_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 2}] at @s unless block ~ ~-1 ~ blue_concrete unless block ~ ~-1 ~ light_blue_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 3}] at @s unless block ~ ~-1 ~ light_blue_concrete unless block ~ ~-1 ~ lime_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 4}] at @s unless block ~ ~-1 ~ lime_concrete unless block ~ ~-1 ~ yellow_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 5}] at @s unless block ~ ~-1 ~ yellow_concrete unless block ~ ~-1 ~ orange_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 6}] at @s unless block ~ ~-1 ~ orange_concrete unless block ~ ~-1 ~ red_concrete run scoreboard players set @s color_rainbow 99
execute as @p[x = 437.5, dx = 7, y = 10, dy = 1, z = 8.5, dz = 7, scores = {color_rainbow = 7}] at @s unless block ~ ~-1 ~ red_concrete unless block ~ ~-1 ~ purple_concrete run scoreboard players set @s color_rainbow 99

execute as @p[scores = {color_rainbow = 99}] at @s run scoreboard players add @s missteps 1
execute as @p[scores = {color_rainbow = 99}] at @s run tellraw @a [{"text":"","color":"yellow","extra":[{"selector":"@s"}]}, {"text": " strayed from the rainbow", "color":"white"}]
execute as @p[scores = {color_rainbow = 99}] at @s run playsound entity.player.attack.knockback block @s 434 11 12 2 0
execute as @p[scores = {color_rainbow = 99}] at @s run tp @s 434 11 12 270 0
### Rainbow room <end>
